Set deployment target for CocoaPods's pod

I use CocoaPods to manage dependencies in my project. I've written Podfile: target 'MyApp' do platform :ios, '8.0' # Uncomment this line if you're using Swift or would like to use dynamic...

"No such module 'Firebase'" when add Firebase into a library

I just created new Framework and added Firebase via CocoaPods, when combine the library it success. But when I add that library to other project via CocoaPods as well, then combine that project,...

The specified path `DemoView.podspec` does not point to an existing podspec file

First time i am creating own CocoaPod, while pushing podspec using trunk to cocoapods, pod trunk push DemoView.podspec i am getting this error, "[!] The specified path DemoView.podspec does not...

CocoaPods could not find compatible versions for pod "Firebase/Core” | cloud_firestore, Flutter

I am having some issues in the pod, see below Launching lib/main.dart on iPhone X in debug mode... Running pod install... CocoaPods' output: ↳ Preparing Analyzing dependencies Inspecting...

Xcode Buildtime Error: 'Unable to load contents of file list: '.../Info.plist' (in target 'xxxx')

Xcode started throwing this error in a project today, and I'm having trouble figuring out what it means and how to troubleshoot it, and it's not coming up in any searches. It happens immediately...

Fix "Cannot find module 'libnpx' " on react-native init

With a fresh project, after running react-native init {project}, during the phase "Installing required Cocoapods dependencies", this error is thrown: Error: Cannot find module 'libnpx' at...

Can't run react native project for ios

I am developing react native app and i am new in react-native, firstly I have worked for android platform and successfully build apk file. Now i want to run it for ios version with the command...

Error installing cocoapods "sudo gem install cocoapods" MacOs Catalina

I am trying to install cocoapods in my mac system but Unfortunately not able to install due to below error. I have already used below commands. sudo gem install -n /usr/local/bin cocoapods...

CocoaPods could not find compatible versions for pod "React/Core"

when I start pod install the result : [!] CocoaPods could not find compatible versions for pod "React/Core": In Podfile: react-native-fetch-blob (from...

How to fix Command PhaseScriptExecution failed with a nonzero exit code on flutter run in macOS?

I am working on a flutter app. I recently shifted to macOS and since then haven't been able to run the app. Other apps are running fine so I think the error is in within the code of this app. And...

Invalid `Podfile` file: cannot load such file. /flutter/packages/flutter_tools/bin/podhelper

When I tried to test flutter project with a simulator after upgrading flutter, this error came up. Launching lib/main.dart on iPhone 11 Pro in debug mode... Running pod install... ...

Cannot open/read local files in test. Throws FileSystemException: Cannot open file, path

Hi I am trying to read a json file in my test class. test( 'should return a valid model when the JSON is populated with images', () async { // Given File file = new...

Running CocoaPods on Apple Silicon (M1)

I have a Flutter project that I'm trying to run on iOS. It runs normally on my Intel-based Mac, but on my new Apple Silicon-based M1 Mac it fails to install pods. LoadError - dlsym(0x7f8926035eb0,...

Class AMSupportURLConnectionDelegate is implemented in both

I'm trying to build a flutter app on M1 mac and getting the following error. $ flutter build ios --release Building XXX for device (ios-release)... Automatically signing iOS for device deployment...

Failed to build iOS project. We ran "xcodebuild" command but it exited with error code 65

I am new in react native development. I am using new MacBook Air (M1, 2020) with M1 chip. I have Installed the dependency below: Node = v14.15.3 Npm = 6.14.9 Homebrew = 2.7.0 react-native-cli:...

Specs satisfying the 'firebase_admob', but they required a higher minimum deployment target in Flutter

My Flutter app has stopped working when updated firebase_admob to the newest version with firebase_admob: ^0.11.0+1, maybe it has a conflict between a package of the firebase. I'm trying to build...

Pod install error on M1 Mac - Flutter project with native code like shared_preferences

I'm on a MacBook Pro M1 (and before someone says well it's because of M1 or something else, I've been programming with Flutter and M1 for weeks but then I must have to reset my M1 and after this)...

CocoaPods on M1 (Apple Silicon) fails with ffi wrong architecture

Running 'pod install' on a M1 MacBook failed for me due to an ffi issue, as described here. I followed some of the workarounds (I guess I tried all of them in various order), but now I get a...

This happened when i updated the project to Flutter 2.0 and updated all packages to latest version

Before answering Please note that i have tried all these solutions: sudo gem install cocoapods-deintegrate cocoapods-clean pod deintegrate pod cache clean --all Follow this command on project...

[CocoaPods error]: Searching for inspections failed: undefined method `map' for nil:NilClass"

I have a CocoaPods error on my Mac M1. the following error from Cocoapods:Searching for inspections failed: undefined method `map' for nil:NilClass".

firebase_crashlytics was resolved to 2.2.1, which depends on Firebase/Crashlytics (= 8.6.0)

I'm getting an error trying to build a flutter app with crashlytics (but somehow builds successfully on codemagic) I did follow the official steps try to use this fix without success these are...

Couldn't determine repo type for URL (gitlab + Mac)

I'm trying to execute "make gen" command in my project directory, but have an error: "Сouldn't determine repo type for URL: https://gitlab.myproject/podspecs.git: (): mapping values are not...

ld: Invalid value (Producer: 'LLVM13.0.0-rust-1.57.0-nightly' Reader: 'LLVM APPLE_1_1300.0.29.3_0') for architecture arm64

Trying to install and work with zkgroup. Build, run for specific iOS device working fine. But generic archiving is not working. Error text: ld: Invalid value (Producer:...

Unable to find a specification for `expo-dev-launcher` depended upon by `expo-dev-client` error in EAS

I'm trying to build my Expo (bare workflow) app using EAS build and it's failing with the following error: Unable to find a specification for expo-dev-launcher depended upon by...

Crash with cocoa pods env

I am following a tutorial to create an IOS app using a Google Maps with cocoa pods. The command pod install crashes. I am thinking of a env problem because the command pod env crashes... I have...

KMM + Compose: Unresolved reference: drawable

I have a KMM application in which the android target uses Jetpack Compose. I am getting the following error when I try to use a drawable resource: e: [...]/OnboardingScreen.kt: (33, 46):...

Unable to install cocoapods on Catalina

I have catalina OS 10.15.7 and XCode Version 12.4 (12D4e) I am trying to install cocoapods using gem: sudo gem install cocoapods And I am getting this error: ERROR: While executing gem ......

Could not find 'minitest' (>= 5.1) among 39 total gem(s) (Gem::MissingSpecError)

I m trying to install Pod on my mac os (os version is big sure), and I m using Xcode 13.1 I m trying to install Pod with this command from terminal: sudo pod install then the system ask me...

Flutter / Firebase project - Is `Unhandled Exception: Null check operator used on a null value` causing a blank screen?

I'm working on a flutter project with firebase. I'm currently developing on a MacBook, using a simulated iPhone (just in case this is relevant). I am able to run my app, but when doing so it's...